Bug 225052 - Error: Missing Dependency: libttf.so.2 is needed by package MagicPoint
Error: Missing Dependency: libttf.so.2 is needed by package MagicPoint
Product: Fedora
Classification: Fedora
Component: MagicPoint (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-01-28 01:09 EST by John Guthrie
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-31 02:20:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Guthrie 2007-01-28 01:09:13 EST
Description of problem:
When I try to run yum update, I get the following error:

Error: Missing Dependency: libttf.so.2 is needed by package MagicPoint

and the update fails.  I thought that the libttf library disappeared when the
freetype package was upgraded from 2.1.x to 2.2.x.  So I'm kind of surprised
that this wasn't caught earlier.  Did the libttf library move to some other
package.  (See Bugzilla #218872.)

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1.Install FC5
2.Install MagicPoint 1.11b-2.fc5
3.Upgrade to FC6
4.run yum update MagicPoint
Actual results:
The error message given in the summary.

Expected results:
That the MagicPoint package would get updated.

Additional info:
Comment 1 John Guthrie 2007-01-31 01:25:38 EST
I just checked using "yum whatprovides libttf.so.2", and there is nothing in
core, updates, extras, or extras-devel that contains a file of that name.
Comment 2 John Guthrie 2007-01-31 02:20:57 EST
I just found the problem.  I still had a entry excluding RPMs of the form
freetype* in my yum.conf.  Removing this fixed the problem.  I' apologize for
the confusion.
Comment 3 Hans de Goede 2007-01-31 03:08:12 EST
No problem thanks for finding this yourself before I had the time to waste time
on this :)

Note You need to log in before you can comment on or make changes to this bug.